Subject: bug#47393: 27.2; hfy-invisible, hfy-face-to-style-i infinite loop due to circular list

From: Gregory Heytings <[email-masked]>
Date: Thu, 25 Mar 2021 16:19:35 +0000

>
> hfy-face-to-style-i goes into an infinite loop due to circular list when 
> there is invisible text in the buffer.
>
> This happens because of using ncons with static list returned from 
> hfy-invisible. see bug#47391: 27.2; static list return from function and 
> nconc
>

This bug has been fixed on the trunk about an hour after you filed 
bug#47391.  Also, there's no need to Cc emacs-devel for bug reports.